part of 'session_bloc.dart';

abstract class SessionState extends Equatable {
  const SessionState();

  @override
  List<Object> get props => [];
}

class SessionInitial extends SessionState {
  const SessionInitial();
}

class SessionLoading extends SessionState {
  const SessionLoading();
}

class SessionReady extends SessionState {
  const SessionReady();
}

class SessionFailure extends SessionState {
  final String message;
  const SessionFailure({required this.message});

  @override
  List<Object> get props => [message];
}
